Subject: Re: Sound drivers for newer machines: need help

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 10 Apr 2005 09:27:12 +1000

On Sat, 2005-04-09 at 13:12 +0300, Martin-Éric Racine wrote:
> On Sat, 9 Apr 2005, Benjamin Herrenschmidt wrote:
> 
> > If you have a newer machine, that is a machine released on or after
> > 2002, can you please send me the output of:
> 
> [...]
> 
> > I'm especially interested in the various models of G5 based machines. It
> > seems apple is having all sorts of very different sound HW setups on
> > those machines, and I'm trying to figure out exactly what is where based
> > on those infos and the darwin sources.
> 
> Why limit this to new hardware, though?  Why not modularize the pmac ALSA
> tree and completely fix all previous hardware variants as well?

Which is what I am doing, I just need some more infos about new hardware
because the HW setup done by Apple on those is fairly confusing.
 
> Btw, not sound-related but nonetheless a bug in the device tree:
> 
> /proc/device-tree/psuedo-hid
> 
> That wouldn't be a typo now, would it?

Might be but nobody cares about this one anyway.

Ben.